Profile - Deactivate routing algorithm
curl --request PATCH \
--url https://sandbox.birrpay.io/v2/profiles/{id}/deactivate-routing-algorithm \
--header 'Authorization: <api-key>'import requests
url = "https://sandbox.birrpay.io/v2/profiles/{id}/deactivate-routing-algorithm"
headers = {"Authorization": "<api-key>"}
response = requests.patch(url, headers=headers)
print(response.text)const options = {method: 'PATCH', headers: {Authorization: '<api-key>'}};
fetch('https://sandbox.birrpay.io/v2/profiles/{id}/deactivate-routing-algorithm', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"profile_id": "<string>",
"name": "<string>",
"kind": "single",
"description": "<string>",
"created_at": 123,
"modified_at": 123,
"algorithm_for": "payment",
"decision_engine_routing_id": "<string>"
}Profile
Profile - Deactivate routing algorithm
Deactivates a routing algorithm under a profile
PATCH
/
v2
/
profiles
/
{id}
/
deactivate-routing-algorithm
Profile - Deactivate routing algorithm
Authorizations
api_keyjwt_key
Format: api-key=<api_key>
Use the API key created under your merchant account from the HyperSwitch dashboard. API key is used to authenticate API requests from your merchant server only. Don't expose this key on a website or embed it in a mobile application.
Path Parameters
The unique identifier for the profile
Response
Successfully deactivated routing config
Available options:
single, priority, volume_split, advanced, dynamic, three_ds_decision_rule Available options:
payment, payout, three_ds_authentication